EDIT - bug #8866

LazylnitializationException (LIE) in portal/taxon/{uuid}
02/28/2020 10:55 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.13

Severity: critical Found in Version:

Description

http://api.cybertaxonomy.org/caryophyllales_spp/portal/taxon/b15ec01d-b909-4143-b197-e752b6f34d5b.json?subtree=876aa727-dc
51-4912-8b19-1368303318bd

org.hibernate.LazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:148)

at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer. java:
266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer
.java:68)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvst503_6e.getNomenclaturalTitle (TeamOrPer
sonBase_$S_jvst503_6e. java)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorAndExAuthor (Tax
onNameDefaultCacheStrategy.java:254)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getNonCacheAuthorshipCac
he (TaxonNameDefaultCacheStrategy.java:196)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorshipCache (Taxon
NameDefaultCacheStrategy. java:170)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getTaggedTitle (TaxonName
DefaultCacheStrategy.java:411)

at eu.etaxonomy.cdm.model.name.TaxonName.getTaggedName (TaxonName. java:1477)

at eu.etaxonomy.cdm.remote.json.processor.bean.TaxonNameBeanProcessor.processBeanSecondStep (Ta
xonNameBeanProcessor.java:66)

at eu.etaxonomy.cdm.remote.json.processor.bean.TaxonNameBeanProcessor.processBeanSecondStep (Ta
xonNameBeanProcessor. java:25)

at eu.etaxonomy.cdm.remote.json.processor.bean.AbstractBeanProcessor.processBean (AbstractBeanP
rocessor.java:167)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at eu.etaxonomy.cdm.remote.json.processor.bean.HibernateProxyBeanProcessor.processBean (Hiberna
teProxyBeanProcessor. java:28)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

at net.sf.Jjson.JSONObject.fromObject (JSONObject. java:172)

at net.sf.json.AbstractJSON._processValue (AbstractJSON. java:274)

at net.sf.json.JSONObject._processValue (JSONObject. java:2655)

at net.sf.json.JSONObject.processValue (JSONObject. java:2721)

at net.sf.json.JSONObject.element (JSONObject.java:1786)

at eu.etaxonomy.cdm.remote.json.processor.bean.AbstractBeanProcessor.processBean (AbstractBeanP
rocessor. java:149)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

at net.sf.json.JSONObject.fromObject (JSONObject. java:172)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:128)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:188)

Associated revisions

Revision 7e76406e - 03/16/2020 09:39 AM - Andreas Kohlbecker

fix #8866 fixing incorrect bean initialization which has been indruduced during ref #7745

History

#1 - 03/02/2020 01:51 PM - Andreas Kohlbecker
http://api.cybertaxonomy.org/caryophyllales_spp/portal/taxon/b15ec01d-b909-4143-b197-e752b6f34d5b.json?subtree=876aa727-dc51-4912-8b19-1368303318bd
http://api.cybertaxonomy.org/caryophyllales_spp/portal/taxon/b15ec01d-b909-4143-b197-e752b6f34d5b.json?subtree=876aa727-dc51-4912-8b19-1368303318bd

- Category changed from cdmlib to cdmlib-remote

- Assignee changed from Andreas Miller to Andreas Kohlbecker

#2 - 03/02/2020 03:47 PM - Andreas Miuller

The above error leads to the message "taxon does not exist" in the dataportal. This is incorrect error handling. The message should only appear if the
webservice returns http 404. Otherwise we need a message that makes clear that an error occurred.

#3 - 03/02/2020 03:50 PM - Andreas Kohlbecker

Andreas Muller wrote:

The above error leads to the message "taxon does not exist" in the dataportal. This is incorrect error handling. The message should only appear
if the webservice returns http 404. Otherwise we need a message that makes clear that an error occurred.

Yes, | know. This related to #2711 which is an open issue for years.

#4 - 03/16/2020 09:40 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|7e76406ea76d8a95b7cbb718f23970cb7581443a.

#5 - 03/16/2020 11:03 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

issue is fixed, this is confirmed by the fact that the LIE no longer occures:
http://test.e-taxonomy.eu/cdmserver/caryo_spp/portal/taxon/b15ec01d-b909-4143-b197-e752b6{34d5b.json?subtree=876aa727-dc51-4912-8b19-136
8303318bd (before the fix the LIE was also reproducible at the test server)
